CSI(1)

NAME
csi - The CHICKEN Scheme interpreter

SYNOPSIS
csi [OPTION ...] [FILENAME ...]

DESCRIPTION
csi is an interpreter for the programming language Scheme supporting most of the features as described in the Revised^5 Report on the Algorithmic Language Scheme. csi is implemented as a program compiled with the CHICKEN compiler.

FILENAME is a Scheme source file name with optional extension. OPTION may be one of the following:

-h, -help
    Display usage and exit.

-version
    Display version and exit.

-release
    Print release number and exit.

-i, -case-insensitive
    Enable case-insensitive reading.

-e EXPRESSION, -eval EXPRESSION
    Evaluate the given expression.

-p EXPRESSION, -print EXPRESSION
    Evaluate and print the result(s) of the given expression.

-P EXPRESSION, -pretty-print EXPRESSION
    Evaluate and print result(s) prettily.

-D SYMBOL, -feature SYMBOL
    Register feature identifier.

-no-feature SYMBOL
    Disable built-in feature identifier.

-q, -quiet
    Do not print banner.

-n, -no-init
    Do not load initialization file. ‘.csirc’

-b, -batch
    Terminate after command-line processing.

-w, -no-warnings
    Disable all warnings.

-K STYLE, -keyword-style STYLE
    Enable alternative keyword-syntax (prefix, suffix or none)

-no-parentheses-synonyms
    Disable list delimiter synonyms.

-no-symbol-escape
    Disables support for escaped symbols.

-r5rs-syntax
    Disable the CHICKEN extensions to R5RS syntax.

-s PATHNAME, -script PATHNAME
    Use interpreter for shell scripts.

-ss PATHNAME
    Run a script with a ‘main’ procedure

-sx PATHNAME
    Same as -s, but print each expression as it is evaluated.

-setup-mode
    Prefer the current directory when locating extensions.

-R NAME, -require-extension NAME
    Import extension before executing code.

-I PATHNAME, -include-path PATHNAME
    Add PATHNAME to the include path.

--  Ignore all following options.

ENVIRONMENT
The following environment variables change the behaviour of csi:

CSI_OPTIONS
    When set to a string of command-line options, then the options are passed implicitly to every direct or indirect invocation of. Note that runtime options of the form ‘-:<OPTIONS>’ cannot be passed using this method.

CHICKEN_INCLUDE_PATH
    Contains one or more pathnames where the interpreter should also look for include files, separated by ‘’; characters.

EXIT STATUS

SEE ALSO
chicken(1), csc(1)

More information can be found in the CHICKEN User's Manual: http://wiki.call-cc.org/manual/index.

AUTHORS
The CHICKEN Team

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org